Subject: Re: Linux IPv6 DAD not full conform to RFC 4862 ?

From: Vlad Yasevich <[email-masked]>
Date: Wed, 09 Jan 2008 16:09:57 -0500

Neil Horman wrote:
> On Thu, Jan 10, 2008 at 01:38:57AM +0900, YOSHIFUJI Hideaki / 吉藤英明 wrote:
>> In article <[email-masked]> (at Wed, 9 Jan 2008 16:36:56 +0100), Karsten Keil <[email-masked]> says:
>>
>>> So I think we should disable the interface now, if DAD fails on a
>>> hardware based LLA.
>> I don't want to do this, at least, unconditionally.
>>
>> Options (not exclusive):
>>
>> - we could have "dad_reaction" interface variable and
>>  > 1: disable interface
>>  = 1: disable IPv6
>>  < 0: ignore (as we do now)
>>
> I like the flexibility of this solution, but given that the only part of the RFC
> that we're missing on at the moment is that we SHOULD disable the interface on
> DAD failure for a link-local address, I would think this scheme would be good:
> 
>   < 0 : ignore, and del address from interface (current behavior) 
>   = 0 : disable interface for dad failure for a link-local address 
>   > 0 : disable interface for dad failure for any address 
> 
> Regards
> Neil
>  

Just a friendly reminder that such a scheme should only be
applied to autoconfigured addresses.  A manually configured
duplicated address should not bring down the whole interface.

-vlad